Changeset 2978 for ThirdParty/Glpk


Ignore:
Timestamp:
Oct 15, 2013 12:07:32 PM (6 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/releases/1.9.2/configure

    r2937 r2978  
    10621062                          (implies --disable-shared)
    10631063  --enable-debug-glpk compile project Glpk with debug compiler flags
    1064   --enable-doscompile     Under Cygwin, compile so that executables run under
    1065                           DOS. Set to mingw to use gcc/g++/ld with
    1066                           -mno-cygwin. Set to msvc to use cl/link (or
    1067                           icl/link). Default when mentioned: mingw. Default
    1068                           when not mentioned: disabled.
     1064
     1065  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10691066  --disable-pkg-config    disable use of pkg-config (if available)
    10701067  --enable-static[=PKGS]
     
    18571854
    18581855# Get the name of the C compiler
    1859 case $build in
     1856
     1857
     1858  # for backward compatibility
     1859  # Check whether --enable-doscompile or --disable-doscompile was given.
     1860if test "${enable_doscompile+set}" = set; then
     1861  enableval="$enable_doscompile"
     1862  enable_doscompile=$enableval
     1863else
     1864  enable_doscompile=no
     1865fi;
     1866
     1867  # Check whether --enable-msvc or --disable-msvc was given.
     1868if test "${enable_msvc+set}" = set; then
     1869  enableval="$enable_msvc"
     1870  enable_msvc=$enableval
     1871else
     1872  enable_msvc=no
     1873     if test "$enable_doscompile" = msvc ; then
     1874       enable_msvc=yes
     1875     elif test "$enable_doscompile" != no ; then
     1876       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1877echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1878   { (exit 1); exit 1; }; }
     1879     fi
     1880
     1881fi;
     1882
     1883  if test "$enable_msvc" = yes; then
     1884    case $build in
     1885      *-cygwin* | *-mingw*) ;;
     1886      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1887echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1888   { (exit 1); exit 1; }; } ;;
     1889    esac
     1890  fi
     1891
     1892
     1893 case $build in
    18601894  *-mingw*)
    18611895    if test "${LD+set}" = set; then :; else
     
    18641898    ;;
    18651899 esac
    1866  case $enable_doscompile in
    1867    msvc)
    1868      if test "x${LD+set}" = xset; then :; else
    1869        LD=link
    1870      fi
    1871      ;;
    1872  esac
    1873 
    1874 
    1875  # Check whether --enable-doscompile or --disable-doscompile was given.
    1876 if test "${enable_doscompile+set}" = set; then
    1877   enableval="$enable_doscompile"
    1878   if test "$enable_doscompile" != no; then
    1879      case $build in
    1880        *-cygwin* | *-mingw*) ;;
    1881        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1882 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1883    { (exit 1); exit 1; }; } ;;
    1884      esac
     1900 if test $enable_msvc = yes ; then
     1901   if test "x${LD+set}" = xset; then :; else
     1902     LD=link
    18851903   fi
    1886 else
    1887   enable_doscompile=no
    1888 fi;
    1889  case "$enable_doscompile" in
    1890    mingw)
    1891      case $build in
    1892        *-mingw*) enable_doscompile=no ;;
    1893      esac
    1894      ;;
    1895    msvc|no) ;;
    1896    yes) enable_doscompile=mingw ;;
    1897    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1898                     Try configure --help=recursive." >&5
    1899 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1900                     Try configure --help=recursive." >&2;}
    1901    { (exit 1); exit 1; }; }
    1902       ;;
    1903   esac
    1904   if test "$enable_doscompile" != no ; then
    1905     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1906 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1907   fi
     1904 fi
    19081905
    19091906
     
    19481945case $build in
    19491946  *-cygwin* | *-mingw*)
    1950              if test "$enable_doscompile" = msvc ; then
    1951                comps="icl cl"
     1947             if test "$enable_msvc" = yes ; then
     1948               comps="icl cl gcc"
    19521949             else
    1953                comps="gcc cl"
     1950               comps="gcc icl cl"
    19541951             fi ;;
    19551952  *-*-solaris*)
     
    28042801            ;;
    28052802        esac
    2806         case $enable_doscompile in
    2807           mingw)
    2808             CFLAGS="-mno-cygwin"
    2809             cat >conftest.$ac_ext <<_ACEOF
    2810 /* confdefs.h.  */
    2811 _ACEOF
    2812 cat confdefs.h >>conftest.$ac_ext
    2813 cat >>conftest.$ac_ext <<_ACEOF
    2814 /* end confdefs.h.  */
    2815 
    2816 int
    2817 main ()
    2818 {
    2819 int i=0; i++;
    2820   ;
    2821   return 0;
    2822 }
    2823 _ACEOF
    2824 rm -f conftest.$ac_objext conftest$ac_exeext
    2825 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2826   (eval $ac_link) 2>conftest.er1
    2827   ac_status=$?
    2828   grep -v '^ *+' conftest.er1 >conftest.err
    2829   rm -f conftest.er1
    2830   cat conftest.err >&5
    2831   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2832   (exit $ac_status); } &&
    2833          { ac_try='test -z "$ac_c_werror_flag"
    2834                          || test ! -s conftest.err'
    2835   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2836   (eval $ac_try) 2>&5
    2837   ac_status=$?
    2838   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2839   (exit $ac_status); }; } &&
    2840          { ac_try='test -s conftest$ac_exeext'
    2841   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2842   (eval $ac_try) 2>&5
    2843   ac_status=$?
    2844   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2845   (exit $ac_status); }; }; then
    2846   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2847 else
    2848   echo "$as_me: failed program was:" >&5
    2849 sed 's/^/| /' conftest.$ac_ext >&5
    2850 
    2851 fi
    2852 rm -f conftest.err conftest.$ac_objext \
    2853       conftest$ac_exeext conftest.$ac_ext
    2854             CFLAGS=
    2855           ;;
    2856         esac
    28572803    esac
    28582804  fi
     
    31953141  clang* ) ;;
    31963142  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3197     case $build in
     3143
     3144 case $build in
    31983145  *-mingw*)
    31993146    if test "${LD+set}" = set; then :; else
     
    32023149    ;;
    32033150 esac
    3204  case $enable_doscompile in
    3205    msvc)
    3206      if test "x${LD+set}" = xset; then :; else
    3207        LD=link
    3208      fi
    3209      ;;
    3210  esac
     3151 if test $enable_msvc = yes ; then
     3152   if test "x${LD+set}" = xset; then :; else
     3153     LD=link
     3154   fi
     3155 fi
    32113156
    32123157    ;;
     
    50705015*-*-irix6*)
    50715016  # Find out which ABI we are using.
    5072   echo '#line 5072 "configure"' > conftest.$ac_ext
     5017  echo '#line 5017 "configure"' > conftest.$ac_ext
    50735018  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    50745019  (eval $ac_compile) 2>&5
     
    66696614
    66706615# Provide some information about the compiler.
    6671 echo "$as_me:6671:" \
     6616echo "$as_me:6616:" \
    66726617     "checking for Fortran 77 compiler version" >&5
    66736618ac_compiler=`set X $ac_compile; echo $2`
     
    77367681   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77377682   -e 's:$: $lt_compiler_flag:'`
    7738    (eval echo "\"\$as_me:7738: $lt_compile\"" >&5)
     7683   (eval echo "\"\$as_me:7683: $lt_compile\"" >&5)
    77397684   (eval "$lt_compile" 2>conftest.err)
    77407685   ac_status=$?
    77417686   cat conftest.err >&5
    7742    echo "$as_me:7742: \$? = $ac_status" >&5
     7687   echo "$as_me:7687: \$? = $ac_status" >&5
    77437688   if (exit $ac_status) && test -s "$ac_outfile"; then
    77447689     # The compiler can only warn and ignore the option if not recognized
     
    80047949   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80057950   -e 's:$: $lt_compiler_flag:'`
    8006    (eval echo "\"\$as_me:8006: $lt_compile\"" >&5)
     7951   (eval echo "\"\$as_me:7951: $lt_compile\"" >&5)
    80077952   (eval "$lt_compile" 2>conftest.err)
    80087953   ac_status=$?
    80097954   cat conftest.err >&5
    8010    echo "$as_me:8010: \$? = $ac_status" >&5
     7955   echo "$as_me:7955: \$? = $ac_status" >&5
    80117956   if (exit $ac_status) && test -s "$ac_outfile"; then
    80127957     # The compiler can only warn and ignore the option if not recognized
     
    81088053   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81098054   -e 's:$: $lt_compiler_flag:'`
    8110    (eval echo "\"\$as_me:8110: $lt_compile\"" >&5)
     8055   (eval echo "\"\$as_me:8055: $lt_compile\"" >&5)
    81118056   (eval "$lt_compile" 2>out/conftest.err)
    81128057   ac_status=$?
    81138058   cat out/conftest.err >&5
    8114    echo "$as_me:8114: \$? = $ac_status" >&5
     8059   echo "$as_me:8059: \$? = $ac_status" >&5
    81158060   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    81168061   then
     
    1045310398  lt_status=$lt_dlunknown
    1045410399  cat > conftest.$ac_ext <<EOF
    10455 #line 10455 "configure"
     10400#line 10400 "configure"
    1045610401#include "confdefs.h"
    1045710402
     
    1055310498  lt_status=$lt_dlunknown
    1055410499  cat > conftest.$ac_ext <<EOF
    10555 #line 10555 "configure"
     10500#line 10500 "configure"
    1055610501#include "confdefs.h"
    1055710502
     
    1289712842   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1289812843   -e 's:$: $lt_compiler_flag:'`
    12899    (eval echo "\"\$as_me:12899: $lt_compile\"" >&5)
     12844   (eval echo "\"\$as_me:12844: $lt_compile\"" >&5)
    1290012845   (eval "$lt_compile" 2>conftest.err)
    1290112846   ac_status=$?
    1290212847   cat conftest.err >&5
    12903    echo "$as_me:12903: \$? = $ac_status" >&5
     12848   echo "$as_me:12848: \$? = $ac_status" >&5
    1290412849   if (exit $ac_status) && test -s "$ac_outfile"; then
    1290512850     # The compiler can only warn and ignore the option if not recognized
     
    1300112946   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1300212947   -e 's:$: $lt_compiler_flag:'`
    13003    (eval echo "\"\$as_me:13003: $lt_compile\"" >&5)
     12948   (eval echo "\"\$as_me:12948: $lt_compile\"" >&5)
    1300412949   (eval "$lt_compile" 2>out/conftest.err)
    1300512950   ac_status=$?
    1300612951   cat out/conftest.err >&5
    13007    echo "$as_me:13007: \$? = $ac_status" >&5
     12952   echo "$as_me:12952: \$? = $ac_status" >&5
    1300812953   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1300912954   then
     
    1457114516   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1457214517   -e 's:$: $lt_compiler_flag:'`
    14573    (eval echo "\"\$as_me:14573: $lt_compile\"" >&5)
     14518   (eval echo "\"\$as_me:14518: $lt_compile\"" >&5)
    1457414519   (eval "$lt_compile" 2>conftest.err)
    1457514520   ac_status=$?
    1457614521   cat conftest.err >&5
    14577    echo "$as_me:14577: \$? = $ac_status" >&5
     14522   echo "$as_me:14522: \$? = $ac_status" >&5
    1457814523   if (exit $ac_status) && test -s "$ac_outfile"; then
    1457914524     # The compiler can only warn and ignore the option if not recognized
     
    1467514620   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1467614621   -e 's:$: $lt_compiler_flag:'`
    14677    (eval echo "\"\$as_me:14677: $lt_compile\"" >&5)
     14622   (eval echo "\"\$as_me:14622: $lt_compile\"" >&5)
    1467814623   (eval "$lt_compile" 2>out/conftest.err)
    1467914624   ac_status=$?
    1468014625   cat out/conftest.err >&5
    14681    echo "$as_me:14681: \$? = $ac_status" >&5
     14626   echo "$as_me:14626: \$? = $ac_status" >&5
    1468214627   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1468314628   then
     
    1688216827   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1688316828   -e 's:$: $lt_compiler_flag:'`
    16884    (eval echo "\"\$as_me:16884: $lt_compile\"" >&5)
     16829   (eval echo "\"\$as_me:16829: $lt_compile\"" >&5)
    1688516830   (eval "$lt_compile" 2>conftest.err)
    1688616831   ac_status=$?
    1688716832   cat conftest.err >&5
    16888    echo "$as_me:16888: \$? = $ac_status" >&5
     16833   echo "$as_me:16833: \$? = $ac_status" >&5
    1688916834   if (exit $ac_status) && test -s "$ac_outfile"; then
    1689016835     # The compiler can only warn and ignore the option if not recognized
     
    1715017095   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1715117096   -e 's:$: $lt_compiler_flag:'`
    17152    (eval echo "\"\$as_me:17152: $lt_compile\"" >&5)
     17097   (eval echo "\"\$as_me:17097: $lt_compile\"" >&5)
    1715317098   (eval "$lt_compile" 2>conftest.err)
    1715417099   ac_status=$?
    1715517100   cat conftest.err >&5
    17156    echo "$as_me:17156: \$? = $ac_status" >&5
     17101   echo "$as_me:17101: \$? = $ac_status" >&5
    1715717102   if (exit $ac_status) && test -s "$ac_outfile"; then
    1715817103     # The compiler can only warn and ignore the option if not recognized
     
    1725417199   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1725517200   -e 's:$: $lt_compiler_flag:'`
    17256    (eval echo "\"\$as_me:17256: $lt_compile\"" >&5)
     17201   (eval echo "\"\$as_me:17201: $lt_compile\"" >&5)
    1725717202   (eval "$lt_compile" 2>out/conftest.err)
    1725817203   ac_status=$?
    1725917204   cat out/conftest.err >&5
    17260    echo "$as_me:17260: \$? = $ac_status" >&5
     17205   echo "$as_me:17205: \$? = $ac_status" >&5
    1726117206   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1726217207   then
     
    2201121956echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2201221957coin_link_input_cmd="$LN_S"
    22013 if test "$enable_doscompile" = mingw; then
    22014   coin_link_input_cmd=cp
    22015 fi
    2201621958case "$CC" in
    2201721959  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.